Bug 109280 - file command fails on large files
file command fails on large files
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: file (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-11-06 09:59 EST by Greg Steele
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-12-16 18:05:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Greg Steele 2003-11-06 09:59:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; 

Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a file larger than 2 GB.
2. Execute "file <filename>"

Actual Results:  <filename>: can't stat <filename>(Value too large 
for defined data type).

Expected Results:  the type of the file

Additional info:
Comment 1 Greg Steele 2003-11-06 10:06:05 EST
This is a duplicate of bug #27199, reported on different releases. 
That bug was closed (I don't know why - I couldn't see that it was 

The bug does not exist in RHAS v3.
Comment 2 Jeff Johnson 2003-12-16 18:05:50 EST
file-4.06-1 (at least) in rawhide is compiled with
large file support.

AFAIK, there are no plans to backport large file support
to AS2.1, hence WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.